::-webkit-scrollbar, [v-cloak] {  /* 隐藏滚动条以及未实例化完全的 Vue 组件 */
  display: none !important;
}

html {  /* 1.去除元素点击时的蓝色遮罩，2.禁用字体缩放 */
  -webkit-tap-highlight-color: transparent;
  -webkit-text-size-adjust: none;
}

body {  /* 1.去除页面内边距，2.去除元素间的小间隙 */
  margin: 0;
  font-size: 0;
}

header, nav, aside, article, section, main, menu, footer {  /* 块级化 HTML5 元素 */
  display: block;
}

h1, h2, h3, hr, p {  /* 对常用的元素进行边距消除 */
  margin: 0;
}

ul {  /* 消除无序列表元素内外边距 */
  margin: 0;
  padding: 0
}

a, a:link, a:visited, a:hover, a:active {  /* 1.设置下划线样式，2.移除链接元素底部横线，3.移除描边，4.统一交互颜色 */
  -webkit-text-decoration-skip: objects;
  text-decoration: none;
  outline: 0;
  color: #333;
}

input[disabled] {  /* 防止 iOS 中被禁用的输入元素显示半透明 */
  opacity: 1
}

input, textarea {  /* 初始化输入元素 */
  padding: 0;
  outline: 0
}

button {  /* 重置按钮的属性 */
  margin: 0;
  padding: 0;
  outline: 0;
}

table {  /* 重置表格属性 */
  border-collapse: collapse;
  border-spacing: 0;
}

li {  /* 移除列表元素的序号点 */
  list-style: none;
}